Read Dex conversation events
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads/{threadId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads/{threadId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads/{threadId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insertionOrdinal": 1,
"payload": {},
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"turnId": "<string>"
}
],
"nextAfter": 1,
"threadTruncated": true
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Read Dex conversation events
Returns an ordered, cursor-paginated page of persisted reply and lifecycle events across the bounded recent task chain for one Dex thread.
GET
/
projects
/
{projectId}
/
agents
/
dex
/
threads
/
{threadId}
/
messages
Read Dex conversation events
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Dex conversation thread identifier.
Query Parameters
Return events after this insertion ordinal from the previous page.
Required range:
x >= 0Required range:
1 <= x <= 100